package com.td.Dawa.config.enums;

import lombok.Getter;

/**
 * 返回的
 * @author:slambb
 * @date:2019/12/5
 */
@Getter
public enum ResultEnum {
    SUCCESS(0,"成功"),
    //token数据
    TOKEN_SUCCESS(300,"用户授权认证通过!"),
    TOKEN_IS_ILLEGAL(301,"用户授权认证没有通过!客户端请求参数TOKEN信息无效"),
    TOKEN_DOES_NOT_EXIST(302,"用户授权认证没有通过!客户端请求参数中无TOKEN信息"),
    TOKEN_OUT_OF_DATE(303,"用户授权认证没有通过!TOKEN过期，重新获取"),
    TOKEN_DOES_NOT_HAVE_USER_ID(304,"用户授权认证没有通过!TOKEN不存在用户id"),
    NO_PARAMETERS_CARRIED(305,"输入对应参数"),

    META_LOGIN_ERROR(306,"登录失败！"),
    META_LOGIN_LIMIT(307,"禁止用户登录！"),
    //setting部分
    SETTING_IS_NULL(306,"配置信息不存在"),
    //redis部分
    REDIS_IS_LOCK(307,"操作过于频繁，稍后再试！"),
    REDIS_IS_LOCK_ERROR(308,"操作失败，稍后再试！"),

    //特定接口访问部分限制
    LOGIN_IP_IS_ERROR(309,"IP异常?!"),
    //用户数据
    USER_DOES_NOT_EXIST(400,"不能存在用户信息！"),
    USER_VERIFICATION_ERROR(402,"登录验证失败异常！"),
    USER_NOT_ADDRESS(403,"用户地址不存在！"),
    USER_LIMIT_LOGIN(404,"用户限制登录！"),
    USER_LOGIN_LOCK(405,"用户保存繁忙，请重试操作！"),
    //角色数据 和 属性
    PLAYER_ATTRIBUTE_ERROR(500,"角色属性信息异常！"),
    PLAYER_ATTRIBUTE_STRENGTH_IS_NOT(518,"当前体力不足，队伍无法工作"),
    PLAYER_ATTRIBUTE_SAVE_LOCK(520,"属性操作繁满，稍后再试！"),
    //背包
    PLAYER_BACKPACK_ERROR(510,"背包异常"),

    ROLE_DOES_NOT_EXIST(521,"不存在角色信息！"),
    ROLE_PRO_DOES_NOT_EXIST(521,"不存在角色职业信息！"),
    ROLE_WORK_NOT_NORMAL(521,"角色已有工作！"),
    ROLE_WORK_ING(521,"角色在工作，不可删除！"),
    ROLE_NOT_WORK(521,"角色不在工作，不可移除！"),
    ROLE_ADD_ERROR(522,"添加角色信息异常！"),
    ROLE_DELETE_ERROR(522,"删除角色信息异常！"),
    ROLE_NOT_TEAM(522,"角色不在队伍中！"),
    ROLE_NAME_TOO_LONG(522,"角色名字不能大于12个字！"),
    ROLE_ALREADY_ADD(522,"角色已经添加！"),
    GOLD_NOT_GET_ROLE(522,"金币不足，无法召唤！"),
    ROLE_NOT_TRAN_STATUS(522,"没有交易记录！"),
    ROLE_GET_RANDOM(522,"先获取角色！"),
    ROLE_REPATRIATE_ERROR(522,"角色遣返错误！"),

    EXPLORATION_INFO_ERROR(523 ,"勘探队伍异常！"),
    EXPLORATION_ERROR(524 ,"勘探信息异常！"),
    EXPLORATION_TIME_ERROR(525 ,"勘探时间异常！"),
    EXPLORATION_INFO_NULL(526,"请先创建勘探队伍！"),
    EXPLORATION_NOT_START(527,"请先开始工作勘探队伍！"),
    EXPLORATION_ING(527,"勘探队伍正在工作！"),
    EXPLORATION_COMPLETE(527,"勘探队伍已完成工作！"),
    EXPLORATION_NOT_STOP(528,"工作时间未结束！"),

    SCENE_ID_NOT(530,"没有对应场景！"),
    //excel 配置信息
    EXCEL_ERROR(901,"excel 配置错误！"),
    ;
    private Integer code;

    private String message;

    ResultEnum(Integer code, String message) {
        this.code = code;
        this.message = message;
    }
}
